Loading...
Searching...
No Matches
casacore::MSFieldEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet FIELD table. More...

`#include <MSFieldEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , CODE , DELAY_DIR , FLAG_ROW , NAME , NUM_POLY , PHASE_DIR , REFERENCE_DIR , SOURCE_ID , TIME , NUMBER_REQUIRED_COLUMNS , EPHEMERIS_ID , NUMBER_PREDEFINED_COLUMNS }
| The FIELD table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet FIELD table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet FIELD table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSField class. These enumerations define the standard columns and keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSFieldEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSFieldEnums::PredefinedColumns

The FIELD table colums with predefined meaning.

Keys: FIELD_ID, SOURCE_ID

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
CODE | Special characteristics of field, e.g. Bandpass calibrator. We need to define a standard set that can be used for automated data reduction. String.
DELAY_DIR | Direction of delay center (e.g. RA, DEC) as polynomial in time. Double(2,NUM_POLY+1) - rad - DIRECTION.
FLAG_ROW | Flag for this row Bool.
NAME | Field Name. String
NUM_POLY | Polynomial order for *_DIR columns Int.
PHASE_DIR | Direction of phase center (e.g. RA, DEC) as polynomial in time Double(2,NUM_POLY+1) - rad - DIRECTION.
REFERENCE_DIR | Direction of reference center (e.g. RA, DEC). Double(2,NUM_POLY+1) - rad - DIRECTION.
SOURCE_ID | Source id (index in SOURCE table) Int.
TIME | Time origin for the directions and rates. Double - s - EPOCH
NUMBER_REQUIRED_COLUMNS | Number of required columns.
EPHEMERIS_ID | Ephemeris id, pointer to EPHEMERIS table (for moving objects, with possible ephemeris updates) Int.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSFieldEnums.h.

## PredefinedKeywords

enum casacore::MSFieldEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 105 of file MSFieldEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSFieldEnums.h